package com.backendsys.mapper.Ai.Aiivh;

import com.backendsys.entity.Ai.Aiivh.AiivhAnchorDTO;
import com.backendsys.entity.Ai.Aiivh.AiivhAnchorPublicDTO;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;
import java.util.Map;

@Mapper
public interface AiivhAnchorMapper {
    // 公共表
    List<Map<String, Object>> queryAiivhPublicAnchorList(AiivhAnchorPublicDTO aiivhAnchorPublicDTO);
    long insertAiivhPublicAnchorBatch(List<Map<String, Object>> list);
    long cleanAiivhPublicAnchor();

    // 定制表列表
    List<Map<String, Object>> queryAiivhAnchorList(AiivhAnchorDTO aiivhAnchorDTO);
    // 定制表详情
    Map<String, Object> queryAiivhAnchorDetail(String virtualman_key, Long user_id);

}
